import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Portal } from '../model/portal';
import { PortalWrapper } from '../model/portal-wrapper';
import * as i0 from "@angular/core";
export declare class PortalApiService {
    private readonly httpClient;
    constructor(httpClient: HttpClient);
    baseUrlV1: string;
    baseUrlInternal: string;
    getAllPortals(): Observable<Array<Portal>>;
    getPortal(portal: string): Observable<Portal>;
    getPortalData(portal: string): Observable<Portal>;
    getCurrentPortalData(url: string): Observable<PortalWrapper>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PortalApiService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PortalApiService>;
}
